Closed Bug 535893 Opened 10 years ago Closed 9 years ago

[SeaMonkey 2.1] mochitest-a11y: test_combobox.xul fails

Categories

(Core :: Disability Access APIs, defect, major)

defect
Not set
major

Tracking

()

VERIFIED FIXED
mozilla5
Tracking Status
status2.0 --- ?

People

(Reporter: sgautherie, Assigned: sgautherie)

References

(Blocks 2 open bugs)

Details

(Whiteboard: [perma-orange])

Attachments

(1 file)

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20091218
SeaMonkey/2.1a1pre] (home, optim default) (W2Ksp4)
{
11767 INFO TEST-PASS | chrome://mochikit/content/a11y/accessible/tree/test_combobox.xul | Wrong value of property 'role' for [ 'autocomplete' , role: autocomplete, name: 'http://localhost:8888/redirect-a11y.html'].
11768 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/a11y/accessible/tree/test_combobox.xul | Different amount of expected children of [ 'autocomplete' , role: autocomplete, name: 'http://localhost:8888/redirect-a11y.html']. - got 3, expected 2
11769 INFO TEST-PASS | chrome://mochikit/content/a11y/accessible/tree/test_combobox.xul | Wrong value of property 'role' for [ 'autocomplete2' , role: autocomplete].
11770 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/a11y/accessible/tree/test_combobox.xul | Different amount of expected children of [ 'autocomplete2' , role: autocomplete]. - got 4, expected 3
}
I tried SeaMonkey 2.0.2pre and 2.1a1pre and both observed trees are as follows:
autocomplete (textbox)
  entry (input)
    text (#text)
  combobox list (menupopup) [context menu]
  combobox list (panel) [autocomplete popup]
    table (tree)
      list (treecols)
        columnheader (treecol)
The second autocomplete also has this additional item:
  combobox list (menupopup) [history popup]
    combobox option (menuitem)
[Note that the history popup is not live because the DOM is incorrect.]
I don't know what you would expect to observe in Firefox.
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20100203 SeaMonkey/2.1a1pre] (home, optim default) (W2Ksp4)

(Bug still there)
Keywords: access
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1265319973.1265321945.10606.gz
Linux comm-central-trunk debug test mochitest-other on 2010/02/04 13:46:13
OS: Windows 2000 → All
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1283055773.1283058197.12882.gz&fulltext=1
Linux comm-central-trunk debug test mochitest-other on 2010/08/28 21:22:53

(Bug still there.)
Comparing the output to Firefox:

Different amount of expected children of [ 'autocomplete' , role: autocomplete, name: 'http://mochi.test:8888/redirect-a11y.html']. - got 3, expected 2

Different amount of expected children of [ 'autocomplete' , role: autocomplete]. - 2 should equal 2

So we have an extra child "name: 'http://mochi.test:8888/redirect-a11y.html" there. Any idea where this comes from? Maybe the other failures, where we also got 1 more than expected have the same issue.
Normally I'd compare them in DOM Inspector's accessible object view, but that doesn't seem to be working for me (accessible tree does, but isn't showing me the information that I want...)
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1300038585.1300041443.13407.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2011/03/13 10:49:45
{
17642 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/tree/test_combobox.xul | Different amount of expected children of [ 'textbox@id='autocomplete' node' , role: autocomplete, name: 'http://mochi.test:8888/redirect-a11y.html', address: 0xb0090e8]. - got 3, expected 2
17644 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/tree/test_combobox.xul | Different amount of expected children of [ 'textbox@id='autocomplete2' node' , role: autocomplete, address: 0xa4e7988]. - got 4, expected 3
}
Blocks: 544171, 544170
Assignee: nobody → sgautherie.bz
Severity: normal → major
Status: NEW → ASSIGNED
Whiteboard: [perma-orange]
Very similar to what I did in bug 544171.

Neil, ftr, I wonder why children order is different between the two widgets and whether that might be resync'ed either way.

*****

(In reply to comment #1)
> [Note that the history popup is not live because the DOM is incorrect.]

I'm not sure what you meant...

*****

Alexander, I noticed that some nodes have 'children: []' and some don't.
I don't know what that means... (I tried adding it at one place and test still passed...)
Attachment #519838 - Flags: review?(surkov.alexander)
Attachment #519838 - Flags: feedback?(neil)
Comment on attachment 519838 [details] [diff] [review]
(Av1) Add support for XPFE autocomplete popup and differently ordered children
[Checked in: See comment 12 & 17]

r=me, thank you
Attachment #519838 - Flags: review?(surkov.alexander) → review+
(In reply to comment #8)

> Alexander, I noticed that some nodes have 'children: []' and some don't.
> I don't know what that means... (I tried adding it at one place and test still
> passed...)

when 'children' is presented then children are tested, when 'children' is missed then they don't. it's preferable to add 'children: []' so the test makes sure there are no children.
Comment on attachment 519838 [details] [diff] [review]
(Av1) Add support for XPFE autocomplete popup and differently ordered children
[Checked in: See comment 12 & 17]

The XPFE autocomplete has an extra explicit <children includes="menupopup"/> entry in its XBL but toolkit seems to manage perfectly well without it. Maybe worth a followup bug to investigate removing it.
Attachment #519838 - Flags: feedback?(neil) → feedback+
Comment on attachment 519838 [details] [diff] [review]
(Av1) Add support for XPFE autocomplete popup and differently ordered children
[Checked in: See comment 12 & 17]

http://hg.mozilla.org/mozilla-central/rev/40d2d7bcc30a
(Av1a) Add support for XPFE autocomplete popup and differently ordered children, Add explicit "no children" checks.


(In reply to comment #10)
> it's preferable to add 'children: []' so the test makes
> sure there are no children.

That's what I was implicitly guessing: thanks for the confirmation.
Attachment #519838 - Attachment description: (Av1) Add support for XPFE autocomplete popup and differently ordered children → (Av1) Add support for XPFE autocomplete popup and differently ordered children [Checked in: See comment 12]
Status: ASSIGNED → RESOLVED
Closed: 9 years ago
Flags: in-testsuite+
Keywords: access
Hardware: x86 → All
Resolution: --- → FIXED
Target Milestone: --- → mozilla2.0
Blocks: 642420
(In reply to comment #11)
> Maybe worth a followup bug to investigate removing it.

I filed bug 642420.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1300368298.1300369491.21064.gz&fulltext=1
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2011/03/17 06:24:58
{
...
17657 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tree/test_combobox.xul | Testing (New) Toolkit autocomplete widget. (ac1h)
...
17687 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tree/test_combobox.xul | Testing (New) Toolkit autocomplete widget. (ac2mp)
...
}

V.Fixed, Firefox part.
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1300383860.1300387296.23272.gz&fulltext=1
Linux comm-central-trunk debug test mochitest-other on 2011/03/17 10:44:20
{
...
17657 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tree/test_combobox.xul | Testing (Old) XPFE autocomplete widget. (ac1h)
...
17719 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tree/test_combobox.xul | Testing (Old) XPFE autocomplete widget. (ac2mp)
...
}

V.Fixed, SeaMonkey part.
Status: RESOLVED → VERIFIED
Target Milestone: mozilla2.0 → mozilla2.2
Comment on attachment 519838 [details] [diff] [review]
(Av1) Add support for XPFE autocomplete popup and differently ordered children
[Checked in: See comment 12 & 17]

"approval2.0=?":
test-only, SM perma-orange fix.
Attachment #519838 - Flags: approval2.0?
Attachment #519838 - Flags: approval2.0? → approval2.0+
Comment on attachment 519838 [details] [diff] [review]
(Av1) Add support for XPFE autocomplete popup and differently ordered children
[Checked in: See comment 12 & 17]

http://hg.mozilla.org/releases/mozilla-2.0/rev/abdc26cb07ca
Attachment #519838 - Attachment description: (Av1) Add support for XPFE autocomplete popup and differently ordered children [Checked in: See comment 12] → (Av1) Add support for XPFE autocomplete popup and differently ordered children [Checked in: See comment 12 & 17]
status2.0: --- → ?
You need to log in before you can comment on or make changes to this bug.